# --- Modules and other things ---

module load wrf/4.4-intel@19.1.3.304 wrf-chem/4.4-intel@19.1.3.304 wps/4.4-intel@19.1.3.304 nco netcdf-c netcdf-fortran anthro_emis fire_emis megan_bio_emiss mozbc wesely-exo_coldens python gdal py-requests py-cdsapi py-cartopy py-matplotlib py-netcdf4 py-numpy py-pyproj py-rasterio py-scipy py-shapely py-simplekml py-xarray py-pyshp py-pandas

ulimit -s unlimited

# for intel
.  /alcc/gpfs2/sw/intel/19/bin/compilervars.sh  intel64

export I_MPI_FABRICS=shm:ofi
export I_MPI_SHM_OPT=shm
export FI_PROVIDER=tcp
export FI_TCP_IFACE=eth5

# --- MPI settings ---

mpiCommandPre="srun --mpi=pmi2"
mpiCommandMain="srun --mpi=pmi2"
#mpiCommandMain="mpirun -mca pml ucx -mca coll ^hcoll -x UCX_TLS=tcp,shm -x UCX_NET_DEVICES=eth5"
mpiCommandReal=${mpiCommandPre}

nTasks=128

# --- Batch system ---

# argument to submit a job in a held state
batchHoldArgument="--hold"
# command to release a held job
batchReleaseCommand="scontrol release"
# command to submit jobs to the queueing system
batchSubmitCommand=sbatch
# dependency argument for chaining runs upon submission
batchDepArgument="--dependency=afterok:__id__"
# sed command ("used as s/__command/\1/") to retrieve job run PID upon
# submission with $batchSubmitCommand
batchPidSedCommand="Submitted batch job \(.*\)"
